rte_branch_prediction.h(3)

NAME
rte_branch_prediction.h

SYNOPSIS

  Macros

#define likely(x)
#define unlikely(x)

Detailed Description

Branch Prediction Helpers in RTE

Definition in file rte_branch_prediction.h.

Macro Definition Documentation

  #define likely( x)
Value:
__builtin_expect(!!(x), 1)

Check if a branch is likely to be taken.

This compiler builtin allows the developer to indicate if a branch is likely to be taken. Example:

if (likely(x > 1)) do_stuff();

Definition at line 26 of file rte_branch_prediction.h.

  #define unlikely( x)
Value:
__builtin_expect(!!(x), 0)

Check if a branch is unlikely to be taken.

This compiler builtin allows the developer to indicate if a branch is unlikely to be taken. Example:

if (unlikely(x < 1)) do_stuff();

Definition at line 43 of file rte_branch_prediction.h.

Author

Generated automatically by Doxygen for DPDK from the source code.